UART_UNREGISTER_DRIV(9)

NAME
uart_unregister_driver - remove a driver from the uart core layer

SYNOPSIS

void uart_unregister_driver(struct uart_driver * drv);

ARGUMENTS

drv
    low level driver structure

DESCRIPTION

Remove all references to a driver from the core driver. The low level driver must have removed all its ports via the uart_remove_one_port if it registered them with uart_add_one_port. (ie, drv->port == NULL)

COPYRIGHT